Subject: Re: bug#76113: 29.4; Behavior of kmacro-bind-to-key (C-x C-k b)

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Mar 2025 18:47:27 -0800

[email-masked] writes:

> I know this is a bug that I have found by not following the keybinding
> standards of GNU Emacs.  Sequences of the type C-x C-k {UPPERCASE
> LETTER} are _supposed_ to be reserved for user-defined key macros.  As
> for why I would bind C-x C-k A to toggle-frame-fullscreen, in my initial
> discovery of the bug it was bound to a function that I defined in my
> .emacs/init.py file.

I'm not sure this is a use case we want to support:

    (global-set-key (kbd "C-x C-k A") 'toggle-frame-fullscreen)

Can't you just bind this to some other key?